Package javax.mail

## Class MethodNotSupportedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.mail.MessagingException
      - - javax.mail.MethodNotSupportedException

All Implemented Interfaces:
  `java.io.Serializable`

    public class MethodNotSupportedException
    extends MessagingException

The exception thrown when a method is not supported by the implementation

Author:
  John Mani
See Also:
  Serialized Form

### Constructor Summary

Constructors
`MethodNotSupportedException()` Constructs a MethodNotSupportedException with no detail message.
`MethodNotSupportedException​(java.lang.String s)` Constructs a MethodNotSupportedException with the specified detail message.
`MethodNotSupportedException​(java.lang.String s, java.lang.Exception e)` Constructs a MethodNotSupportedException with the specified detail message and embedded exception.

### Method Summary

### Methods inherited from class javax.mail.MessagingException

`getCause, getNextException, setNextException, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MethodNotSupportedException

    public MethodNotSupportedException()

Constructs a MethodNotSupportedException with no detail message.

#### MethodNotSupportedException

    public MethodNotSupportedException​(java.lang.String s)

Constructs a MethodNotSupportedException with the specified detail message.

Parameters:
  `s` - The detailed error message

#### MethodNotSupportedException

    public MethodNotSupportedException​(java.lang.String s,
                                       java.lang.Exception e)

Constructs a MethodNotSupportedException with the specified detail message and embedded exception. The exception is chained to this exception.

Parameters:
  `s` - The detailed error message
  `e` - The embedded exception
Since:
  JavaMail 1.5